> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Campaign Targets



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json get /api/v1/campaigns/{campaign_id}/patient/targets
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/patient/targets:
    get:
      tags:
        - Campaigns
      summary: Get Patient Campaign Targets
      operationId: >-
        get_patient_campaign_targets_api_v1_campaigns__campaign_id__patient_targets_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the campaign.
            title: Campaign Id
          description: The ID of the campaign.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: The page number to get.
            default: 0
            title: Page
          description: The page number to get.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: The number of targets per page.
            default: 10
            title: Limit
          description: The number of targets per page.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/CampaignTargetStatus'
              - type: 'null'
            description: The status of the targets to get.
            title: Status
          description: The status of the targets to get.
        - name: from_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: The start date to get.
            examples:
              - '2024-01-01'
            title: From Date
          description: The start date to get.
        - name: to_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: The end date to get.
            examples:
              - '2024-01-01'
            title: To Date
          description: The end date to get.
        - name: from_last_call_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: The date to get targets from the last call date.
            examples:
              - '2024-01-01'
            title: From Last Call Date
          description: The date to get targets from the last call date.
        - name: to_last_call_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: The date to get targets to the last call date.
            examples:
              - '2024-01-01'
            title: To Last Call Date
          description: The date to get targets to the last call date.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCampaignTargetsPatientResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CampaignTargetStatus:
      type: string
      enum:
        - Pending
        - Scheduled
        - In Progress
        - Post-processing
        - Finished
        - To review
        - Failed
        - Waiting
        - SMS Scheduled
      title: CampaignTargetStatus
    PaginatedCampaignTargetsPatientResponse:
      properties:
        targets:
          items:
            $ref: '#/components/schemas/CampaignTargetPatientResponse'
          type: array
          title: Targets
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
      type: object
      required:
        - targets
      title: PaginatedCampaignTargetsPatientResponse
      description: >-
        Paginated response for patient campaign targets using the optimized

        vw_campaign_targets_export_patient view (no fax_links or
        payor_api_data).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CampaignTargetPatientResponse:
      properties:
        id:
          type: string
          title: Id
        target_url:
          type: string
          title: Target Url
        organization_id:
          type: string
          title: Organization Id
        campaign_id:
          type: string
          title: Campaign Id
        created_at:
          type: string
          format: date-time
          title: Created At
        execution_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Execution Minutes
        input_data:
          additionalProperties: true
          type: object
          title: Input Data
        output_data:
          additionalProperties: true
          type: object
          title: Output Data
        status:
          $ref: '#/components/schemas/CampaignTargetStatus'
        resolution:
          anyOf:
            - $ref: '#/components/schemas/CampaignTargetPayorResolution'
            - $ref: '#/components/schemas/CampaignTargetPatientResolution'
            - type: 'null'
          title: Resolution
        category:
          anyOf:
            - $ref: '#/components/schemas/PayorCallCategory'
            - $ref: '#/components/schemas/PatientCallCategory'
            - $ref: '#/components/schemas/ProviderCallCategory'
            - $ref: '#/components/schemas/PatientIncomingCallCategory'
            - $ref: '#/components/schemas/PatientIncomingSchedulingCallCategory'
            - type: 'null'
          title: Category
        subcategory:
          anyOf:
            - $ref: '#/components/schemas/NotFoundSubCategory'
            - $ref: '#/components/schemas/TransferSubCategory'
            - $ref: '#/components/schemas/IVRLoopSubCategory'
            - $ref: '#/components/schemas/ServiceNotAvailableSubCategory'
            - $ref: '#/components/schemas/UnprocessableByPhoneSubCategory'
            - $ref: '#/components/schemas/InputDataIssueSubCategory'
            - $ref: '#/components/schemas/HumanOnlySubcategory'
            - $ref: '#/components/schemas/PayorCallCategory'
            - type: string
            - type: 'null'
          title: Subcategory
        call_log_ids:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Call Log Ids
        last_call_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Call Date
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        fax_links:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fax Links
        payor_api_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payor Api Data
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        retries:
          anyOf:
            - type: integer
            - type: 'null'
          title: Retries
        scheduled_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled Time
        categorization:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Categorization
        outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Outcome
        statistics:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Statistics
      type: object
      required:
        - id
        - target_url
        - organization_id
        - campaign_id
        - created_at
        - execution_minutes
        - input_data
        - output_data
        - status
        - resolution
        - category
        - subcategory
        - call_log_ids
        - last_call_date
        - phone_number
        - fax_links
        - payor_api_data
        - external_id
      title: CampaignTargetPatientResponse
      description: >-
        Simplified response for patient campaign targets that uses the optimized

        vw_campaign_targets_export_patient view. This view excludes fax_links
        and

        payor_api_data for better performance.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CampaignTargetPayorResolution:
      type: string
      enum:
        - retrieved
        - not_retrieved
      title: CampaignTargetPayorResolution
    CampaignTargetPatientResolution:
      type: string
      enum:
        - successful
        - unsuccessful
      title: CampaignTargetPatientResolution
    PayorCallCategory:
      type: string
      enum:
        - GOOD
        - NO_RESPONSE
        - TRANSFER
        - TRANSFER_FAILED
        - VOICEMAIL
        - SERVICE_NOT_AVAILABLE
        - HUMAN_ONLY
        - AFTER_HOURS
        - CLOSED_FOR_HOLIDAYS
        - IVR_LOOP
        - INPUT_DATA_ISSUE
        - WRONG_PHONE_NUMBER
        - NOT_FOUND
        - UNPROCESSABLE_BY_PHONE
        - DISCONNECTED
        - NOT_ALL_DATA_POINTS_RETRIEVED
        - MEMBER_CONSENT_REQUIRED
        - SLA_EXPIRED
        - PAYOR_NOT_SUPPORTED
        - NO_OPERATING_HOURS
      title: PayorCallCategory
    PatientCallCategory:
      type: string
      enum:
        - GOOD
        - NO_RESPONSE
        - TRANSFER
        - TRANSFER_FAILED
        - VOICEMAIL
        - SERVICE_NOT_AVAILABLE
        - HUMAN_ONLY
        - CALLBACK_REQUESTED
        - MANAGER_REQUESTED
        - DISCONNECTED
        - DNC_REQUESTED
        - WRONG_USER
        - NOT_INTERESTED_RIGHT_NOW
        - BLACKLISTED_PHONE
      title: PatientCallCategory
    ProviderCallCategory:
      type: string
      enum:
        - GOOD
        - WRONG_USER
        - PROVIDER_NO_LONGER_AT_LOCATION
        - DISCONNECTED
        - WRONG_PHONE_NUMBER
        - HUMAN_ONLY
        - DATA_ISSUE
        - CALLBACK_REQUESTED
        - TRANSFER_HANG_UP
        - UNPROCESSABLE_BY_PHONE
        - MEMBER_CONSENT_REQUIRED
        - IVR_LOOP
        - CLOSED_FOR_HOLIDAYS
        - NO_RESPONSE
        - VOICEMAIL
        - AFTER_HOURS
        - TRANSFER
        - TRANSFER_FAILED
        - BLACKLISTED_PHONE
      title: ProviderCallCategory
    PatientIncomingCallCategory:
      type: string
      enum:
        - TRANSFER_BY_USER
        - TRANSFER_BY_ASSISTANT
        - INSTANT_TRANSFER
        - TRANSFER
        - TRANSFER_FAILED
        - CALL_DROPPED
        - SUCCESSFUL_CALL
        - UNSUCCESSFUL_CALL
        - NO_RESPONSE
        - NOT_CONNECTED
      title: PatientIncomingCallCategory
    PatientIncomingSchedulingCallCategory:
      type: string
      enum:
        - SWITCHBOARD
        - DEFLECTED
        - NO_RESPONSE
        - USER_EARLY_DISCONNECT
        - FAST_USER_HANG_UP
        - TRANSFER_SOP
        - UNRESOLVED
      title: PatientIncomingSchedulingCallCategory
    NotFoundSubCategory:
      type: string
      enum:
        - PROVIDER
        - MEMBER
        - FACILITY
        - REQUEST
        - OTHER
      title: NotFoundSubCategory
    TransferSubCategory:
      type: string
      enum:
        - HUMAN_REQUESTED
        - INTEGRATION_ERROR
        - TRANSFER_REQUESTED
        - NATURAL_TRANSFER
      title: TransferSubCategory
    IVRLoopSubCategory:
      type: string
      enum:
        - NOT_RECOGNIZE_DATA
        - NOT_FOUND
        - LONG_WAITING_PERIOD
        - BAD_INTERACTION_WITH_IVR
        - IVR_ONLY_NUMBER
        - VOICEMAIL
        - CALLBACK_OFFERED
      title: IVRLoopSubCategory
    ServiceNotAvailableSubCategory:
      type: string
      enum:
        - PHONE_NUMBER_NOT_AVAILABLE
        - CLOGGED_SERVICE
        - TECHNICAL_ISSUE
        - OTHER
      title: ServiceNotAvailableSubCategory
    UnprocessableByPhoneSubCategory:
      type: string
      enum:
        - FAX
        - INSURANCE_PORTAL
        - AUTOMATED_SYSTEM
      title: UnprocessableByPhoneSubCategory
    InputDataIssueSubCategory:
      type: string
      enum:
        - MISSING_INFORMATION
        - INCORRECT_INFORMATION
      title: InputDataIssueSubCategory
    HumanOnlySubcategory:
      type: string
      enum:
        - STARTING_CALL
        - MID_CALL
      title: HumanOnlySubcategory

````